
/*  A Bison parser, made from parser.y with Bison version GNU Bison version 1.22
  */

#define YYBISON 1  /* Identify Bison output.  */

#define	tSTRING	258
#define	tFLOAT	259
#define	tCHAR	260
#define	tLOCATION	261
#define	tLATITUDE	262
#define	tLONGITUDE	263
#define	tAT	264
#define	tAIRSPACE	265
#define	tFL	266
#define	tGND	267
#define	tMSL	268
#define	tUNL	269
#define	tSCALE	270
#define	tORIGIN	271
#define	tPARALLELS	272
#define	tZEROMERIDIAN	273
#define	tSHOW_MAP	274
#define	tDIGITIZER	275
#define	tCALIBRATE	276
#define	tOUT	277
#define	tELEV	278
#define	tFREQUENCY	279
#define	tALIAS	280
#define	tRANGE	281
#define	tISOGONE	282
#define	tINTLAIRPORT	283
#define	tAIRPORT	284
#define	tAIRPORT_CIV_MIL	285
#define	tAIRPORT_MIL	286
#define	tAIRFIELD	287
#define	tSPECIAL_AIRFIELD	288
#define	tGLIDER_SITE	289
#define	tHANG_GLIDER_SITE	290
#define	tPARACHUTE_JUMPING_SITE	291
#define	tFREE_BALLON_SITE	292
#define	tHELIPORT	293
#define	tHELIPORT_AMB	294
#define	tRIVER	295
#define	tHIGHWAY	296
#define	tROAD	297
#define	tLAKE	298
#define	tBORDER	299
#define	tSTATE_BORDER	300
#define	tCOUNTRY	301
#define	tSTATE	302
#define	tISLAND	303
#define	tCTR	304
#define	tCVFR	305
#define	tVOR	306
#define	tVOR_DME	307
#define	tVORTAC	308
#define	tTACAN	309
#define	tNDB	310
#define	tMARKER_BEACON	311
#define	tBASIC_RADIO_FACILITY	312
#define	tOBSTRUCTION	313
#define	tGROUP_OBSTRUCTION	314
#define	tFIRED_OBSTRUCTION	315
#define	tFIRED_GROUP_OBSTRUCTION	316
#define	tREPORTING_POINT	317
#define	tWAYPOINT	318
#define	tVILLAGE	319
#define	tTOWN	320
#define	tRUNWAY	321
#define	tGRAS	322
#define	tASPHALT	323
#define	tCONCRETE	324
#define	tSET	325
#define	tUNIT	326
#define	tDISTANCE	327
#define	tSPEED	328
#define	tALT	329
#define	tKM	330
#define	tNM	331
#define	tKMH	332
#define	tKNOTS	333
#define	tMPS	334
#define	tM	335
#define	tFT	336
#define	tPROJECTION	337
#define	tLAMBERT	338
#define	tMERCATOR	339
#define	tVISIBLE	340
#define	tALGORITHM	341
#define	tPAULY	342
#define	tFAI	343
#define	tLOAD	344
#define	tMAP	345

#line 1 "parser.y"

/****************************************************************
 *                                                              *
 *                        I C A O   M a p  -                    *
 *                                                              *
 *             A n   A v i a t i o n   U t i l i t y            *
 *                                                              *
 *                                                              *
 *            Copyright (C) 1993, 1994  Martin Pauly            *
 *                                                              *
 *   This file may be freely distributed only if it includes    *
 *                the above copyright notice.                   *
 *                                                              *
 ****************************************************************/

#include "objects.h"
#include "icao.h"
#include "setup.h"


LOCATION makelocation (long lat, long longi)
{
  LOCATION temp;

  temp.latitude = lat;
  temp.longitude = longi;
  return temp;
}

void map_setzero (long zero);

void add_for_load (char* name);

int currentline = 1;
char *filenamestring = NULL;


#line 40 "parser.y"
typedef union {
	char *c;
        char s;
	float d;
	LOCATION l;
} YYSTYPE;

#ifndef YYLTYPE
typedef
  struct yyltype
    {
      int timestamp;
      int first_line;
      int first_column;
      int last_line;
      int last_column;
      char *text;
   }
  yyltype;

#define YYLTYPE yyltype
#endif

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		181
#define	YYFLAG		-32768
#define	YYNTBASE	93

#define YYTRANSLATE(x) ((unsigned)(x) <= 345 ? yytranslate[x] : 107)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,    91,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,    92,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
    46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
    56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
    66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
    76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
    86,    87,    88,    89,    90
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     9,    14,    19,    24,    29,    34,    39,
    43,    47,    51,    56,    61,    63,    67,    70,    73,    75,
    78,    84,    88,    93,    95,    97,   101,   105,   107,   111,
   114,   117,   120,   122,   125,   127,   134,   138,   140,   144,
   147,   150,   153,   156,   159,   162,   165,   168,   171,   174,
   177,   180,   183,   186,   189,   192,   195,   198,   201,   204,
   207,   211,   214,   218,   221,   225,   228,   232,   235,   238,
   242,   245,   248,   252,   256,   259,   262,   265,   268,   272,
   275,   276,   279,   280,   283,   286,   289,   292,   297,   300,
   303,   305,   307
};

static const short yyrhs[] = {    -1,
    93,    95,     0,    70,    71,    72,    75,     0,    70,    71,
    72,    76,     0,    70,    71,    73,    77,     0,    70,    71,
    73,    78,     0,    70,    71,    73,    79,     0,    70,    71,
    74,    80,     0,    70,    71,    74,    81,     0,    70,    82,
    83,     0,    70,    82,    84,     0,    70,    85,     3,     0,
    70,    86,    72,    87,     0,    70,    86,    72,    88,     0,
    91,     0,   104,   100,   102,     0,   100,   102,     0,   104,
   103,     0,    96,     0,    22,     3,     0,    70,    15,     4,
    92,     4,     0,    70,    16,    97,     0,    70,    17,     7,
     7,     0,    19,     0,    20,     0,    21,    97,    97,     0,
    70,    18,     8,     0,    94,     0,    89,    90,     3,     0,
     7,     8,     0,    11,     4,     0,     4,    12,     0,    12,
     0,     4,    13,     0,    14,     0,    10,     3,     3,    98,
    98,   101,     0,    28,     3,   101,     0,    99,     0,    29,
     3,   101,     0,    30,     3,     0,    31,     3,     0,    32,
     3,     0,    33,     3,     0,    38,     3,     0,    39,     3,
     0,    34,     3,     0,    36,     3,     0,    37,     3,     0,
    51,     3,     0,    52,     3,     0,    53,     3,     0,    54,
     3,     0,    55,     3,     0,    56,     3,     0,    57,     3,
     0,    58,     3,     0,    59,     3,     0,    60,     3,     0,
    61,     3,     0,    62,     3,     0,    40,     3,   101,     0,
    40,   101,     0,    43,     3,   101,     0,    43,   101,     0,
    27,     4,   101,     0,    41,   101,     0,    41,     3,   101,
     0,    42,   101,     0,    64,     3,     0,    65,     3,   101,
     0,    65,   101,     0,    63,     3,     0,    49,     3,   101,
     0,    50,     3,   101,     0,    44,   101,     0,    45,   101,
     0,    46,     3,     0,    47,     3,     0,    48,     3,   101,
     0,    48,   101,     0,     0,   101,    97,     0,     0,   102,
   105,     0,    23,     4,     0,     9,    97,     0,    24,     4,
     0,    66,     4,     4,   106,     0,    25,     3,     0,    26,
     4,     0,    68,     0,    69,     0,    67,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
    99,   100,   104,   106,   107,   108,   109,   110,   111,   112,
   113,   114,   115,   116,   119,   120,   121,   122,   123,   126,
   128,   129,   130,   131,   132,   133,   134,   135,   136,   139,
   144,   146,   147,   148,   149,   152,   156,   158,   159,   160,
   161,   162,   163,   164,   165,   166,   167,   168,   169,   170,
   171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
   181,   182,   183,   184,   185,   187,   188,   189,   190,   191,
   192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
   204,   205,   209,   210,   215,   218,   220,   222,   223,   224,
   227,   229,   230
};

static const char * const yytname[] = {   "$","error","$illegal.","tSTRING",
"tFLOAT","tCHAR","tLOCATION","tLATITUDE","tLONGITUDE","tAT","tAIRSPACE","tFL",
"tGND","tMSL","tUNL","tSCALE","tORIGIN","tPARALLELS","tZEROMERIDIAN","tSHOW_MAP",
"tDIGITIZER","tCALIBRATE","tOUT","tELEV","tFREQUENCY","tALIAS","tRANGE","tISOGONE",
"tINTLAIRPORT","tAIRPORT","tAIRPORT_CIV_MIL","tAIRPORT_MIL","tAIRFIELD","tSPECIAL_AIRFIELD",
"tGLIDER_SITE","tHANG_GLIDER_SITE","tPARACHUTE_JUMPING_SITE","tFREE_BALLON_SITE",
"tHELIPORT","tHELIPORT_AMB","tRIVER","tHIGHWAY","tROAD","tLAKE","tBORDER","tSTATE_BORDER",
"tCOUNTRY","tSTATE","tISLAND","tCTR","tCVFR","tVOR","tVOR_DME","tVORTAC","tTACAN",
"tNDB","tMARKER_BEACON","tBASIC_RADIO_FACILITY","tOBSTRUCTION","tGROUP_OBSTRUCTION",
"tFIRED_OBSTRUCTION","tFIRED_GROUP_OBSTRUCTION","tREPORTING_POINT","tWAYPOINT",
"tVILLAGE","tTOWN","tRUNWAY","tGRAS","tASPHALT","tCONCRETE","tSET","tUNIT","tDISTANCE",
"tSPEED","tALT","tKM","tNM","tKMH","tKNOTS","tMPS","tM","tFT","tPROJECTION",
"tLAMBERT","tMERCATOR","tVISIBLE","tALGORITHM","tPAULY","tFAI","tLOAD","tMAP",
"'\\n'","':'","input","config","line","command","location","limit","airspace",
"object","pointlist","qualities","elev","loc","quality","runwaytype",""
};
#endif

static const short yyr1[] = {     0,
    93,    93,    94,    94,    94,    94,    94,    94,    94,    94,
    94,    94,    94,    94,    95,    95,    95,    95,    95,    96,
    96,    96,    96,    96,    96,    96,    96,    96,    96,    97,
    98,    98,    98,    98,    98,    99,   100,   100,   100,   100,
   100,   100,   100,   100,   100,   100,   100,   100,   100,   100,
   100,   100,   100,   100,   100,   100,   100,   100,   100,   100,
   100,   100,   100,   100,   100,   100,   100,   100,   100,   100,
   100,   100,   100,   100,   100,   100,   100,   100,   100,   100,
   101,   101,   102,   102,   103,   104,   105,   105,   105,   105,
   106,   106,   106
};

static const short yyr2[] = {     0,
     0,     2,     4,     4,     4,     4,     4,     4,     4,     3,
     3,     3,     4,     4,     1,     3,     2,     2,     1,     2,
     5,     3,     4,     1,     1,     3,     3,     1,     3,     2,
     2,     2,     1,     2,     1,     6,     3,     1,     3,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     3,     2,     3,     2,     3,     2,     3,     2,     2,     3,
     2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
     0,     2,     0,     2,     2,     2,     2,     4,     2,     2,
     1,     1,     1
};

static const short yydefact[] = {     1,
     0,     0,     0,    24,    25,     0,     0,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    81,
    81,    81,    81,    81,    81,     0,     0,    81,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,     0,    81,     0,     0,    15,    28,     2,
    19,    38,    83,     0,     0,    86,     0,     0,    20,    81,
    81,    81,    40,    41,    42,    43,    46,    47,    48,    44,
    45,    81,    62,    81,    66,    68,    81,    64,    75,    76,
    77,    78,    81,    80,    81,    81,    49,    50,    51,    52,
    53,    54,    55,    56,    57,    58,    59,    60,    72,    69,
    81,    71,     0,     0,     0,     0,     0,     0,     0,     0,
     0,    17,     0,    83,    18,    30,     0,    26,    65,    37,
    39,    61,    82,    67,    63,    79,    73,    74,    70,     0,
    22,     0,    27,     0,     0,     0,    10,    11,    12,     0,
    29,     0,     0,     0,     0,    84,    85,    16,     0,     0,
    33,    35,     0,     0,    23,     3,     4,     5,     6,     7,
     8,     9,    13,    14,    87,    89,    90,     0,    32,    34,
    31,    81,    21,     0,    36,    93,    91,    92,    88,     0,
     0
};

static const short yydefgoto[] = {     1,
    49,    50,    51,   123,   153,    52,    53,    73,   112,   115,
    54,   146,   179
};

static const short yypact[] = {-32768,
    72,    -1,     5,-32768,-32768,    -1,    13,    17,    43,    44,
    45,    46,    47,    51,    52,    54,    55,    56,    57,    60,
    63,-32768,    64,-32768,-32768,    65,    66,    67,    68,    71,
    73,    74,    75,    76,    80,    82,    83,    86,    87,    92,
    93,    94,    95,   135,   136,     2,   -15,-32768,-32768,-32768,
-32768,-32768,-32768,   137,   132,-32768,   138,    -1,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,    -1,-32768,    -1,    -1,-32768,    -1,    -1,    -1,
-32768,-32768,-32768,    -1,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    -1,   139,    -1,   141,   142,   -46,   -70,   143,    77,
   149,   -14,   140,-32768,-32768,-32768,    11,-32768,    -1,    -1,
    -1,    -1,-32768,    -1,    -1,    -1,    -1,    -1,    -1,    53,
-32768,   146,-32768,   -40,   -48,   -43,-32768,-32768,-32768,   -45,
-32768,   150,   152,   153,   154,-32768,-32768,   -14,    32,   155,
-32768,-32768,    11,   158,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,   168,-32768,-32768,
-32768,-32768,-32768,   -35,    -1,-32768,-32768,-32768,-32768,   156,
-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,-32768,     3,    50,-32768,   151,   -21,    90,-32768,
-32768,-32768,-32768
};


#define	YYLAST		205


static const short yytable[] = {    75,
    76,    78,    79,    80,    56,    55,    84,    57,    58,   142,
   143,   144,   137,   138,   149,    59,   103,   104,   105,   106,
    60,   150,   151,   102,   152,   134,   135,   136,   158,   159,
   160,   176,   177,   178,   156,   157,   161,   162,   119,   120,
   121,   163,   164,   169,   170,    61,    62,    63,    64,    65,
   122,   145,   124,    66,    67,   125,    68,    69,    70,    71,
   118,   126,    72,   127,   128,    74,    77,    81,    82,    83,
    85,   180,   107,    86,   111,    87,    88,    89,    90,   129,
     2,     3,    91,   108,    92,    93,   109,   110,    94,    95,
     4,     5,     6,     7,    96,    97,    98,    99,     8,     9,
    10,    11,    12,    13,    14,    15,   131,    16,    17,    18,
    19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
    29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
    39,    40,    41,    42,    43,    44,    45,   100,   101,   116,
   117,    46,   130,   147,   154,   139,     3,   132,   140,   133,
   175,   141,   155,   165,   166,   181,   167,   168,   171,   113,
    47,   173,    48,     8,     9,    10,    11,    12,    13,    14,
    15,   174,    16,    17,    18,    19,    20,    21,    22,    23,
    24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
    34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
    44,    45,   172,   148,   114
};

static const short yycheck[] = {    21,
    22,    23,    24,    25,     2,     7,    28,     3,     6,    24,
    25,    26,    83,    84,     4,     3,    15,    16,    17,    18,
     4,    11,    12,    45,    14,    72,    73,    74,    77,    78,
    79,    67,    68,    69,    75,    76,    80,    81,    60,    61,
    62,    87,    88,    12,    13,     3,     3,     3,     3,     3,
    72,    66,    74,     3,     3,    77,     3,     3,     3,     3,
    58,    83,     3,    85,    86,     3,     3,     3,     3,     3,
     3,     0,    71,     3,    90,     3,     3,     3,     3,   101,
     9,    10,     3,    82,     3,     3,    85,    86,     3,     3,
    19,    20,    21,    22,     3,     3,     3,     3,    27,    28,
    29,    30,    31,    32,    33,    34,   104,    36,    37,    38,
    39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
    49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
    59,    60,    61,    62,    63,    64,    65,     3,     3,     8,
     3,    70,     4,     4,    92,     3,    10,     7,    72,     8,
   172,     3,     7,     4,     3,     0,     4,     4,     4,    23,
    89,     4,    91,    27,    28,    29,    30,    31,    32,    33,
    34,     4,    36,    37,    38,    39,    40,    41,    42,    43,
    44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
    54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
    64,    65,   153,   114,    54
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/lib/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Bob Corbett and Richard Stallman

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 1, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */


#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#define YYLEX		yylex(&yylval, &yylloc)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
int yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_bcopy(FROM,TO,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_bcopy (from, to, count)
     char *from;
     char *to;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_bcopy (char *from, char *to, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 184 "/usr/lib/bison.simple"
int
yyparse()
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_bcopy ((char *)yyss1, (char *)yyss, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_bcopy ((char *)yyvs1, (char *)yyvs, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_bcopy ((char *)yyls1, (char *)yyls, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 3:
#line 105 "parser.y"
{ unit_distance = km; ;
    break;}
case 4:
#line 106 "parser.y"
{ unit_distance = nm; ;
    break;}
case 5:
#line 107 "parser.y"
{ unit_speed = kmh; ;
    break;}
case 6:
#line 108 "parser.y"
{ unit_speed = kts; ;
    break;}
case 7:
#line 109 "parser.y"
{ unit_speed = mps; ;
    break;}
case 8:
#line 110 "parser.y"
{ unit_altitude = mtr; ;
    break;}
case 9:
#line 111 "parser.y"
{ unit_altitude = ft; ;
    break;}
case 10:
#line 112 "parser.y"
{ map_projection = 0; ;
    break;}
case 11:
#line 113 "parser.y"
{ map_projection = 1; ;
    break;}
case 12:
#line 114 "parser.y"
{ set_visiblestring (yyvsp[0].c); ;
    break;}
case 13:
#line 115 "parser.y"
{ config_distance_func = pauly; ;
    break;}
case 14:
#line 116 "parser.y"
{ config_distance_func = FAI; ;
    break;}
case 20:
#line 127 "parser.y"
{ puts (yyvsp[0].c); ;
    break;}
case 21:
#line 128 "parser.y"
{ map_setscale (yyvsp[0].d); ;
    break;}
case 22:
#line 129 "parser.y"
{ map_setorigin (yyvsp[0].l); ;
    break;}
case 23:
#line 130 "parser.y"
{ map_setparallels (yyvsp[-1].d, yyvsp[0].d); ;
    break;}
case 24:
#line 131 "parser.y"
{ map_display(); ;
    break;}
case 25:
#line 132 "parser.y"
{ digi_input(); ;
    break;}
case 26:
#line 133 "parser.y"
{ digi_calibrate(yyvsp[-1].l, yyvsp[0].l); ;
    break;}
case 27:
#line 134 "parser.y"
{ map_setzero ((long) yyvsp[0].d); ;
    break;}
case 29:
#line 136 "parser.y"
{ add_for_load (yyvsp[0].c); ;
    break;}
case 30:
#line 140 "parser.y"
{yyval.l = makelocation((long)yyvsp[-1].d, (long)yyvsp[0].d);;
    break;}
case 31:
#line 145 "parser.y"
{ yyval.d = 10 * yyvsp[0].d; ;
    break;}
case 32:
#line 146 "parser.y"
{ yyval.d = 10 * yyvsp[0].d + 1; ;
    break;}
case 33:
#line 147 "parser.y"
{ yyval.d = 1; ;
    break;}
case 34:
#line 148 "parser.y"
{ yyval.d = 10 * yyvsp[0].d + 2; ;
    break;}
case 35:
#line 149 "parser.y"
{ yyval.d = 3; ;
    break;}
case 36:
#line 153 "parser.y"
{ new_airspace (yyvsp[-4].c, yyvsp[-3].c, yyvsp[-2].d, yyvsp[-1].d); ;
    break;}
case 37:
#line 157 "parser.y"
{ new_object (O_INTLAIRPORT, yyvsp[-1].c); ;
    break;}
case 39:
#line 159 "parser.y"
{ new_object (O_AIRPORT, yyvsp[-1].c); ;
    break;}
case 40:
#line 160 "parser.y"
{ new_object (O_AIRPORT_CIV_MIL, yyvsp[0].c); ;
    break;}
case 41:
#line 161 "parser.y"
{ new_object (O_AIRPORT_MIL, yyvsp[0].c); ;
    break;}
case 42:
#line 162 "parser.y"
{ new_object (O_AIRFIELD, yyvsp[0].c); ;
    break;}
case 43:
#line 163 "parser.y"
{ new_object (O_SPECIAL_AIRFIELD, yyvsp[0].c); ;
    break;}
case 44:
#line 164 "parser.y"
{ new_object (O_HELIPORT, yyvsp[0].c); ;
    break;}
case 45:
#line 165 "parser.y"
{ new_object (O_HELIPORT_AMB, yyvsp[0].c); ;
    break;}
case 46:
#line 166 "parser.y"
{ new_object (O_GLIDER_SITE, yyvsp[0].c); ;
    break;}
case 47:
#line 167 "parser.y"
{ new_object (O_PARACHUTE_JUMPING_SITE, yyvsp[0].c); ;
    break;}
case 48:
#line 168 "parser.y"
{ new_object (O_FREE_BALLON_SITE, yyvsp[0].c); ;
    break;}
case 49:
#line 169 "parser.y"
{ new_object (O_VOR, yyvsp[0].c); ;
    break;}
case 50:
#line 170 "parser.y"
{ new_object (O_VOR_DME, yyvsp[0].c); ;
    break;}
case 51:
#line 171 "parser.y"
{ new_object (O_VORTAC, yyvsp[0].c); ;
    break;}
case 52:
#line 172 "parser.y"
{ new_object (O_TACAN, yyvsp[0].c); ;
    break;}
case 53:
#line 173 "parser.y"
{ new_object (O_NDB, yyvsp[0].c); ;
    break;}
case 54:
#line 174 "parser.y"
{ new_object (O_MARKER_BEACON, yyvsp[0].c); ;
    break;}
case 55:
#line 175 "parser.y"
{ new_object (O_BASIC_RADIO_FACILITY, yyvsp[0].c); ;
    break;}
case 56:
#line 176 "parser.y"
{ new_object (O_OBSTRUCTION, yyvsp[0].c); ;
    break;}
case 57:
#line 177 "parser.y"
{ new_object (O_GROUP_OBSTRUCTION, yyvsp[0].c); ;
    break;}
case 58:
#line 178 "parser.y"
{ new_object (O_FIRED_OBSTRUCTION, yyvsp[0].c); ;
    break;}
case 59:
#line 179 "parser.y"
{ new_object (O_FIRED_GROUP_OBSTRUCTION, yyvsp[0].c); ;
    break;}
case 60:
#line 180 "parser.y"
{ new_object (O_REPORTING_POINT, yyvsp[0].c); ;
    break;}
case 61:
#line 181 "parser.y"
{ new_object (O_RIVER, yyvsp[-1].c); ;
    break;}
case 62:
#line 182 "parser.y"
{ new_object (O_RIVER, ""); ;
    break;}
case 63:
#line 183 "parser.y"
{ new_object (O_LAKE, yyvsp[-1].c); ;
    break;}
case 64:
#line 184 "parser.y"
{ new_object (O_LAKE, ""); ;
    break;}
case 65:
#line 185 "parser.y"
{ new_elev (yyvsp[-1].d); 
					      new_object (O_ISOGONE, ""); ;
    break;}
case 66:
#line 187 "parser.y"
{ new_object (O_HIGHWAY, ""); ;
    break;}
case 67:
#line 188 "parser.y"
{ new_object (O_HIGHWAY, yyvsp[-1].c); ;
    break;}
case 68:
#line 189 "parser.y"
{ new_object (O_ROAD, ""); ;
    break;}
case 69:
#line 190 "parser.y"
{ new_object (O_VILLAGE, yyvsp[0].c); ;
    break;}
case 70:
#line 191 "parser.y"
{ new_object (O_TOWN, yyvsp[-1].c); ;
    break;}
case 71:
#line 192 "parser.y"
{ new_object (O_TOWN, ""); ;
    break;}
case 72:
#line 193 "parser.y"
{ new_object (O_WAYPOINT, yyvsp[0].c); ;
    break;}
case 73:
#line 194 "parser.y"
{ new_object (O_CTR, yyvsp[-1].c); ;
    break;}
case 74:
#line 195 "parser.y"
{ new_object (O_CVFR, yyvsp[-1].c); ;
    break;}
case 75:
#line 196 "parser.y"
{ new_object (O_BORDER, ""); ;
    break;}
case 76:
#line 197 "parser.y"
{ new_object (O_STATE_BORDER, ""); ;
    break;}
case 77:
#line 198 "parser.y"
{ new_object (O_COUNTRY, yyvsp[0].c); ;
    break;}
case 78:
#line 199 "parser.y"
{ new_object (O_STATE, yyvsp[0].c); ;
    break;}
case 79:
#line 200 "parser.y"
{ new_object (O_ISLAND, yyvsp[-1].c); ;
    break;}
case 80:
#line 201 "parser.y"
{ new_object (O_ISLAND, ""); ;
    break;}
case 82:
#line 205 "parser.y"
{ add_point (yyvsp[0].l); ;
    break;}
case 85:
#line 215 "parser.y"
{ new_elev (yyvsp[0].d); ;
    break;}
case 86:
#line 218 "parser.y"
{ new_location (yyvsp[0].l); ;
    break;}
case 87:
#line 221 "parser.y"
{ set_frequency (yyvsp[0].d); ;
    break;}
case 88:
#line 222 "parser.y"
{ add_runway (yyvsp[-2].d, yyvsp[-1].d, yyvsp[0].s); ;
    break;}
case 89:
#line 223 "parser.y"
{ set_alias (yyvsp[0].c); ;
    break;}
case 90:
#line 224 "parser.y"
{ set_range (yyvsp[0].d); ;
    break;}
case 91:
#line 228 "parser.y"
{ yyval.s = 'A'; ;
    break;}
case 92:
#line 229 "parser.y"
{ yyval.s = 'C'; ;
    break;}
case 93:
#line 230 "parser.y"
{ yyval.s = 'G'; ;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 465 "/usr/lib/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 236 "parser.y"



yyerror (char *s)
{
  printf ("%s processing line %d of file %s\n", s, currentline, filenamestring);
}
